﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace howto_wpf_center_text
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            double cx = 50;
            double cy = 50;
            double radius = 20;
            Rect rect = new Rect(
                cx - radius, cy - radius,
                2 * radius, 2 * radius);

            Ellipse ellipse = new Ellipse();
            ellipse.Stroke = Brushes.Blue;
            ellipse.Fill = Brushes.LightBlue;
            Canvas.SetLeft(ellipse, cx - radius);
            Canvas.SetTop(ellipse, cy - radius);
            ellipse.Width = 2 * radius;
            ellipse.Height = 2 * radius;
            canDraw.Children.Add(ellipse);

            Label label = new Label();
            label.Content = "Hello";
            label.HorizontalContentAlignment = HorizontalAlignment.Center;
            label.VerticalContentAlignment = VerticalAlignment.Center;
            Canvas.SetLeft(label, cx - radius);
            Canvas.SetTop(label, cy - radius);
            label.Width = 2 * radius;
            label.Height = 2 * radius;
            canDraw.Children.Add(label);
        }

    }
}
